summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorThomas Sarboni2018-06-28 12:59:48 +0200
committerThomas Sarboni2018-06-28 12:59:48 +0200
commit672733f5bb999138a8ed5c681ad08a027e50fbdc (patch)
tree71d734982d02c3fae5861e63c9edd53ae1a1941b
parent730d8e43cc8a872c15df223dc08d6d5494b64adc (diff)
downloadaur-672733f5bb999138a8ed5c681ad08a027e50fbdc.tar.gz
Bump version to 11.1.0 and made some cleanup
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD47
2 files changed, 34 insertions, 27 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0d4ce68ac66..0a1da89f2ea 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,9 @@
+# Generated by mksrcinfo v8
+# Thu Jun 28 10:56:48 UTC 2018
pkgbase = komodo-edit
pkgdesc = Free & Open-Source counterpart of ActiveState Komodo IDE - XUL based
- pkgver = 11.0.2_18122
- pkgrel = 2
+ pkgver = 11.1.0_18196
+ pkgrel = 1
url = http://www.activestate.com/komodo-edit
arch = i686
arch = x86_64
@@ -20,10 +22,10 @@ pkgbase = komodo-edit
source = activestate.py.patch
sha256sums = 98177ee92e13036baa0a4f61ef398c0e23ab5d250cf7aa1b1c5a557efaaec3a8
sha256sums = c68d7e94955e0f7b32cf3863136891d6441d9dd3a6346481b911d2c250cf32e9
- source_i686 = http://downloads.activestate.com/Komodo/releases/11.0.2/Komodo-Edit-11.0.2-18122-linux-x86.tar.gz
- sha256sums_i686 = dee9ab3309b4c39666d1168618a14531d184c3bbdaecfb859102036119bc4d62
- source_x86_64 = http://downloads.activestate.com/Komodo/releases/11.0.2/Komodo-Edit-11.0.2-18122-linux-x86_64.tar.gz
- sha256sums_x86_64 = 5d00474639d1ba01cfeacc1da6ba0d90dfe68319f128acaa1140798d830bda00
+ source_i686 = http://downloads.activestate.com/Komodo/releases/11.1.0/Komodo-Edit-11.1.0-18196-linux-x86.tar.gz
+ sha256sums_i686 = 3f3dcbb145c3bbf4df354049a014876a983d8fd2651283741982637a5903b8a4<Paste>
+ source_x86_64 = http://downloads.activestate.com/Komodo/releases/11.1.0/Komodo-Edit-11.1.0-18196-linux-x86_64.tar.gz
+ sha256sums_x86_64 = f68a87a0d8c486a749c97de2d64fc07a633e7b32d13b685b18824caae9908bd0
pkgname = komodo-edit
diff --git a/PKGBUILD b/PKGBUILD
index 4ed16621f0b..51e77e93eae 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,19 +1,20 @@
# Maintainer: max-k <max-k@post.com>
# Contributor: max-k <max-k@post.com>
+# shellcheck disable=SC2034,SC2154
-if [ $(uname -m) = "x86_64" ] ; then
+if [ "$(uname -m)" = "x86_64" ] ; then
_arch="x86_64"
else
_arch="x86"
fi
-_major="11.0.2"
-_minor=18122
+_major="11.1.0"
+_minor=18196
pkgname="komodo-edit"
_bigname="Komodo-Edit"
pkgver="${_major}_${_minor}"
-pkgrel=2
+pkgrel=1
pkgdesc="Free & Open-Source counterpart of ActiveState Komodo IDE - XUL based"
arch=(i686 x86_64)
url="http://www.activestate.com/komodo-edit"
@@ -30,22 +31,22 @@ source_x86_64=("${_srcbase}/${_major}/${_bigname}-${_major}-${_minor}-linux-x86_
sha256sums=('98177ee92e13036baa0a4f61ef398c0e23ab5d250cf7aa1b1c5a557efaaec3a8'
'c68d7e94955e0f7b32cf3863136891d6441d9dd3a6346481b911d2c250cf32e9')
-sha256sums_i686=('dee9ab3309b4c39666d1168618a14531d184c3bbdaecfb859102036119bc4d62')
-sha256sums_x86_64=('5d00474639d1ba01cfeacc1da6ba0d90dfe68319f128acaa1140798d830bda00')
+sha256sums_i686=('3f3dcbb145c3bbf4df354049a014876a983d8fd2651283741982637a5903b8a4<Paste>')
+sha256sums_x86_64=('f68a87a0d8c486a749c97de2d64fc07a633e7b32d13b685b18824caae9908bd0')
prepare() {
- cd ${srcdir}/${_bigname}-${_major}-${_minor}-linux-${_arch}
- sed -i "s/__VERSION__/${_major}-${_minor}/" ${srcdir}/_install.py.patch
- sed -i "s/__VERSION__/${_major}-${_minor}/" ${srcdir}/activestate.py.patch
+ cd "${srcdir}/${_bigname}-${_major}-${_minor}-linux-${_arch}" || return 1
+ sed -i "s/__VERSION__/${_major}-${_minor}/" "${srcdir}/_install.py.patch"
+ sed -i "s/__VERSION__/${_major}-${_minor}/" "${srcdir}/activestate.py.patch"
if [ $_arch == "x86_64" ] ; then
- sed -i "s/__ARCH__/x86_64/" ${srcdir}/_install.py.patch
- sed -i "s/__ARCH__/x86_64/" ${srcdir}/activestate.py.patch
+ sed -i "s/__ARCH__/x86_64/" "${srcdir}/_install.py.patch"
+ sed -i "s/__ARCH__/x86_64/" "${srcdir}/activestate.py.patch"
else
- sed -i "s/__ARCH__/x86/" ${srcdir}/_install.py.patch
- sed -i "s/__ARCH__/x86/" ${srcdir}/activestate.py.patch
+ sed -i "s/__ARCH__/x86/" "${srcdir}/_install.py.patch"
+ sed -i "s/__ARCH__/x86/" "${srcdir}/activestate.py.patch"
fi
- patch -p0 -i ${srcdir}/_install.py.patch support/_install.py
- patch -p0 -i ${srcdir}/activestate.py.patch INSTALLDIR/lib/python/lib/python*.*/activestate.py
+ patch -p0 -i "${srcdir}/_install.py.patch" support/_install.py
+ patch -p0 -i "${srcdir}/activestate.py.patch" INSTALLDIR/lib/python/lib/python*.*/activestate.py
}
build() {
@@ -53,11 +54,15 @@ build() {
}
package() {
- cd ${srcdir}/${_bigname}-${_major}-${_minor}-linux-${_arch}
- ./install.sh -v -s -I ${pkgdir}/opt/${pkgname} --dest-dir /opt/${pkgname} 2>&1 > /dev/null
+ cd "${srcdir}/${_bigname}-${_major}-${_minor}-linux-${_arch}" || return 1
+ ./install.sh -v -s -I "${pkgdir}/opt/${pkgname}" --dest-dir "/opt/${pkgname}" >/dev/null 2>&1
+
+ # Purge *.pyc and *.pyo files with references to $pkgdir and/or $srcdir
+ find "${pkgdir}/opt/${pkgname}" -iname '*.py?' -delete
+
_dfile=${pkgdir}/opt/${pkgname}/share/desktop/${pkgname}-${_major:0:2}.desktop
- sed -i "s#${pkgdir}##" ${_dfile}
- install -Dm644 ${_dfile} ${pkgdir}/usr/share/applications/${pkgname}.desktop
- install -d ${pkgdir}/usr/bin
- ln -sf /opt/komodo-edit/bin/komodo ${pkgdir}/usr/bin/komodo
+ sed -i "s#${pkgdir}##" "$_dfile"
+ install -Dm644 "$_dfile" "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+ install -d "${pkgdir}/usr/bin"
+ ln -sf /opt/komodo-edit/bin/komodo "${pkgdir}/usr/bin/komodo"
}